package com.casic.missiles.service.meter;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.meter.OrganizeListRequest;
import com.casic.missiles.dto.meter.ParentDeptRequest;
import com.casic.missiles.dto.meter.ParentDeptResponse;
import com.casic.missiles.model.meter.MeterOrganize;
import com.casic.missiles.modular.system.model.Dept;

import java.util.List;

/**
 * <p>
 * 计量管理-计量组织-部门管理/科室管理/工程组管理 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2022-11-27
 */
public interface IMeterOrganizeService extends IService<MeterOrganize> {

    Page<MeterOrganize> listPage(Page<MeterOrganize> page, OrganizeListRequest request) throws Exception;

    int addOrganize(Dept dept);

    int updateByDept(Dept dept);

    int deleteByDeptId(Long id);

    ReturnDTO updateOrganize(MeterOrganize meterOrganize);

    List<MeterOrganize> list(OrganizeListRequest request) throws Exception;

    ParentDeptResponse deptInfo(ParentDeptRequest request);
}
